Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface PolicyCollectionHandler

    public interface PolicyCollectionHandler

An authorization provider that wishes to consume policy sets implements the `PolicyCollectionHandler` interface.

Method Summary
`void` | `done()` Signals the completion of the policy collection.
`void` | `setPolicy(Resource resource, String[] roleNames)` Set a policy for the specified resource using the supplied roles names.
`void` | `setUncheckedPolicy(Resource resource)` Set a policy which always grants access to the specified resource.

Method Detail

### setPolicy

    void setPolicy(Resource resource,
                   String[] roleNames)

  Set a policy for the specified resource using the supplied roles names.

  Parameters:
    `resource` - the `Resource` object to which the policy applies.
    `roleNames` - a `String` array of roles that defines the policy.
  Throws:
    ``ConsumptionException`` - if the policy cannot be consumed or processing of the collection fails.

### setUncheckedPolicy

    void setUncheckedPolicy(Resource resource)

  Set a policy which always grants access to the specified resource.

  Parameters:
    `resource` - the `Resource` object to which the policy applies.
  Throws:
    ``ConsumptionException`` - if the policy cannot be consumed or processing of the collection fails.

### done

    void done()

  Signals the completion of the policy collection.

  Throws:
    ``ConsumptionException`` - if the policy cannot be consumed or processing of the collection fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD